Subject: Re: Garlic Farming in Idaho

From: "M. Counides" <[email-masked]>
Date: 1 Jan 1996 13:52:02 -0700

I just raise family and friend garlic (in Idaho), about 160 feet of it. we 
have wonderful results.  Garlic likes sandy fertile soil. Garlic likes 
fall rain.  Garlic is a happy hibernator.  Garlic wants to dry out before 
harvest in summer.  

For really great cultural info and a catalog with garlic varieties galore

Ron Englander
Filaree Farms
Washington State  

I can't give you a city name since I have temporarily lost my book.
He has also written "Growing Great Garlic" if you don't want a catalog.